StreamTokenizer
Date: 2016-06-24

java.io

## Class StreamTokenizer

- java.lang.Object
- - java.io.StreamTokenizer

-     public class StreamTokenizer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `nval`
    `String` | `sval`
    `static int` | `TT_EOF`
    `static int` | `TT_EOL`
    `static int` | `TT_NUMBER`
    `static int` | `TT_WORD`
    `int` | `ttype`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamTokenizer(Reader var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commentChar(int var0)`
    `void` | `eolIsSignificant(boolean var0)`
    `int` | `lineno()`
    `void` | `lowerCaseMode(boolean var0)`
    `int` | `nextToken()`
    `void` | `ordinaryChar(int var0)`
    `void` | `ordinaryChars(int var0, int var1)`
    `void` | `parseNumbers()`
    `void` | `pushBack()`
    `void` | `quoteChar(int var0)`
    `void` | `resetSyntax()`
    `void` | `slashSlashComments(boolean var0)`
    `void` | `slashStarComments(boolean var0)`
    `void` | `whitespaceChars(int var0, int var1)`
    `void` | `wordChars(int var0, int var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TT_EOF

          public static final int TT_EOF

      See Also:
        Constant Field Values

    - #### TT_EOL

          public static final int TT_EOL

      See Also:
        Constant Field Values

    - #### TT_NUMBER

          public static final int TT_NUMBER

      See Also:
        Constant Field Values

    - #### TT_WORD

          public static final int TT_WORD

      See Also:
        Constant Field Values

    - #### nval

          public double nval

    - #### sval

          public String sval

    - #### ttype

          public int ttype

  - ### Constructor Detail

    - #### StreamTokenizer

          public StreamTokenizer(Reader var0)

  - ### Method Detail

    - #### commentChar

          public void commentChar(int var0)

    - #### eolIsSignificant

          public void eolIsSignificant(boolean var0)

    - #### lineno

          public int lineno()

    - #### lowerCaseMode

          public void lowerCaseMode(boolean var0)

    - #### nextToken

          public int nextToken()
                        throws IOException

      Throws:
        `IOException`

    - #### ordinaryChar

          public void ordinaryChar(int var0)

    - #### ordinaryChars

          public void ordinaryChars(int var0,
                           int var1)

    - #### parseNumbers

          public void parseNumbers()

    - #### pushBack

          public void pushBack()

    - #### quoteChar

          public void quoteChar(int var0)

    - #### resetSyntax

          public void resetSyntax()

    - #### slashSlashComments

          public void slashSlashComments(boolean var0)

    - #### slashStarComments

          public void slashStarComments(boolean var0)

    - #### whitespaceChars

          public void whitespaceChars(int var0,
                             int var1)

    - #### wordChars

          public void wordChars(int var0,
                       int var1)